package dtgateway

import (
	"GtDataStore/app/cmd/dtgateway/internal/svc"
	"GtDataStore/app/cmd/dtgateway/internal/types"
	"GtDataStore/app/cmd/organization/pb"
	"GtDataStore/common/xerr"
	"context"

	"github.com/zeromicro/go-zero/core/logx"
)

type WorkingUfLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewWorkingUfLogic(ctx context.Context, svcCtx *svc.ServiceContext) *WorkingUfLogic {
	return &WorkingUfLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *WorkingUfLogic) WorkingUf(req *types.DcWorkingReq) (resp *types.CommonResponse, err error) {
	rpcResp, err := l.svcCtx.OrganizationRpc.GetWorkingUfByCode(l.ctx, &pb.DcWorkingReq{
		ProjectId:  req.ProjectId,
		DeviceCode: req.DeviceCode,
	})
	if err != nil {
		return nil, xerr.NewErrMsg("获取数据失败")
	}

	return &types.CommonResponse{
		Code: xerr.OK,
		Msg:  xerr.MapErrMsg(xerr.OK),
		Data: rpcResp,
	}, nil
}
